Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Create a form

POST/shops/{shop_id}/forms
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
shop_idintegerrequired
Request body
requiredapplication/json
titlestringrequired
bodystring
Intro text shown above the form fields
slugstring
descriptionstring
visibleboolean
default: true
formatstring
default: "html"
Allowed:htmlmarkdown
has_address_fieldsboolean
default: false
success_messagestring
Responses
201Form created
_linksHalLinks
idinteger
shop_idinteger
titlestring
slugstring
bodystring
descriptionstring
visibleboolean
formatstring
has_address_fieldsboolean
success_messagestring
created_onstring<date-time>
updated_onstring<date-time>
422Validation error
Request
curl -X POST "https://api.onbolder.com/v2/shops/1/forms" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Contact Us",
  "has_address_fields": false
}'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "slug": "string",
  "body": "string",
  "description": "string",
  "visible": true,
  "format": "string",
  "has_address_fields": true,
  "success_message": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}